################################################################
#
#   Bell Runner - Level View
#
################################################################

from pygame import Rect
from albow.widget import Widget
import level
from game import game

class LevelView(Widget):

	bg_color = (0, 0, 0)

	def __init__(self):
		width = level.cells_wide * level.cell_width
		height = level.cells_high * level.cell_height
		Widget.__init__(self, Rect(0, 0, width, height))

	def draw(self, surf):
		level = game.level
		if level:
			level.draw(surf)

